org.eclipse.net4j.protocol

## Interface IProtocol<INFRA_STRUCTURE>

- All Superinterfaces:
    IBufferHandler, ILocationAware, IUserAware
  All Known Subinterfaces:
    IProtocol2<INFRA_STRUCTURE>, ISignalProtocol<INFRA_STRUCTURE>
  All Known Implementing Classes:
    AuthenticatingSignalProtocol, HeartBeatProtocol, HeartBeatProtocol.Server, Protocol, SignalProtocol

      public interface IProtocol<INFRA_STRUCTURE>
      extends IUserAware, ILocationAware, IBufferHandler

  A `typed` `buffer handler` for a `channel`.
  Author:
    Eike Stepper

- - ### Nested Class Summary

    - ### Nested classes/interfaces inherited from interface org.eclipse.net4j.ILocationAware

      `ILocationAware.Location`

  - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `IBufferProvider` | `getBufferProvider()`
    `IChannel` | `getChannel()`
    `java.util.concurrent.ExecutorService` | `getExecutorService()`
    `INFRA_STRUCTURE` | `getInfraStructure()`
    `java.lang.String` | `getType()`
    `void` | `setChannel(IChannel channel)`
    `void` | `setExecutorService(java.util.concurrent.ExecutorService executorService)`
    `void` | `setInfraStructure(INFRA_STRUCTURE infraStructure)`

    - ### Methods inherited from interface org.eclipse.net4j.util.security.IUserAware

      `getUserID`

    - ### Methods inherited from interface org.eclipse.net4j.ILocationAware

      `getLocation, isClient, isServer`

    - ### Methods inherited from interface org.eclipse.net4j.buffer.IBufferHandler

      `handleBuffer`

- - ### Method Detail

    - #### getType

          java.lang.String getType()

    - #### getChannel

          IChannel getChannel()

    - #### setChannel

          void setChannel(IChannel channel)

    - #### getInfraStructure

          INFRA_STRUCTURE getInfraStructure()

    - #### setInfraStructure

          void setInfraStructure(INFRA_STRUCTURE infraStructure)

    - #### getBufferProvider

          IBufferProvider getBufferProvider()

    - #### getExecutorService

          java.util.concurrent.ExecutorService getExecutorService()

    - #### setExecutorService

          void setExecutorService(java.util.concurrent.ExecutorService executorService)

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html